ttdt_file_quit(library call)

NAME
ttdt_file_quit — unregister interest in ToolTalk events about a file

SYNOPSIS

#include &<Tt/tttk.h>
Tt_status ttdt_file_quit(
Tt_pattern *patterns,
int quit);

DESCRIPTION

The ttdt_file_quit function is used to unregister interest in the pathname that was passed to ttdt_file_join(3) when patterns was created. The ttdt_file_quit function destroys patterns and sets the default file to NULL.

If quit is True, ttdt_file_quit calls tt_file_quit(3) with a pathname argument; otherwise, it returns without quitting.

RETURN VALUE

Upon successful completion, the ttdt_file_quit function returns the status of the operation as one of the following Tt_status values:

TT_OK
    The operation completed successfully.

TT_ERR_DBAVAIL
    The ToolTalk service could not access the ToolTalk database needed for this operation.

TT_ERR_DBEXIST
    The ToolTalk service could not access the specified ToolTalk database in the expected place.

TT_ERR_NOMP
    The ttsession(1) process is not running and the ToolTalk service cannot restart it.

TT_ERR_POINTER
    The patterns argument was NULL or otherwise invalid.

TT_ERR_PROCID
    The specified process identifier is out of date or invalid.

SEE ALSO

Tt/tttk.h - Tttttk(5), ttdt_file_join(3), tt_default_file(3), tt_file_quit(3).